<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">

<beans>	

    <import resource="classpath:nc/ui/wa/formular/formulaedit.xml"   />
		<!--  修改本条目，从而改变table 与field-->
	<bean id="hrVariableFactory" class="nc.ui.wa.rule.formular.WaRuleFormularFactory"></bean>	
	
	
		<!-- 公式编辑器中的按钮注册界面 -->
	<bean id="formulaButtonPanel" class="nc.ui.pub.formula.dialog.FormulaButtonPanel" init-method="initUI">
		<property name="actions">
			<list>
				<ref bean="formulaAndAction"/>
				<ref bean="formulaOrAction"/>
				<ref bean="formulaValidateAction"/>
				<ref bean="formulaOKAction"/>				
				<ref bean="formulaCancelAction"/>			
				
			</list>
		</property>
		
		<property name="actionsWithDialog">
			<list>
				<ref bean="formulaOKAction"/>
				<ref bean="formulaCancelAction"/>
			
			</list>
		</property>
		
	</bean>
	
		<!-- 公式编辑器中用于显示函数信息的界面 去掉薪资函数  -->
	<bean id="formulaFunctionPanel" class="nc.ui.pub.formula.dialog.FormulaFunctionPanel" init-method="initUI">
		<property name="formulaTokenMarker"><ref bean="formulaTokenMarker"/></property>
		<property name="formulaRealEditorPanel"><ref bean="formulaRealEditorPanel"/></property>
		<property name="listeners">
			<list>
				<ref bean="formulaRealEditorPanel"/>
				<ref bean="formulaHintMsgPanel"/>
			</list>
		</property>
		<property name="customerTabBuilders">
			<list>
				<ref bean="businessTabBuilder"/>
				<ref bean="hiTabBuilder"/>
			</list>
		</property>
		<property name="formulaTypeManager">
			<ref bean="formulaTypeManager"/>
		</property>
	</bean>
</beans>
